// JavaScript Document
function checkdhcp(){
	var start_dhcp = $('input[name=start_dhcp]').attr('checked');
	if(start_dhcp){
		$('input[name=ip_addr]').removeAttr('disabled');
		$('input[name=netmask]').removeAttr('disabled');
		$('input[name=gateway_addr]').removeAttr('disabled');
		$('input[name=dns_addr]').removeAttr('disabled');
		$('input[name=gettime]').removeAttr('disabled');
	}else{
		$('input[name=ip_addr]').attr('disabled','disabled');
		$('input[name=netmask]').attr('disabled','disabled');
		$('input[name=gateway_addr]').attr('disabled','disabled');
		$('input[name=dns_addr]').attr('disabled','disabled');
		$('input[name=gettime]').attr('disabled','disabled');
	}
}
function startUPnP(obj){
	saveStat(obj);
	var curStat = $('[name=UPnP_Stat]').val();
	$.post('/include/ajax/ajaxdata.php',
	{'UPnPstat':1,'curStat':curStat},function(rel){
		removeStat(obj);
	});
}

function getUPnPstat(){
	var cloud_host = $("[name=cloud_host]").val();
	var UPnP_Btn = $('[name=UPnP_Btn_Txt]').val().split('|');
	var UPnP_Alert = $('[name=UPnP_Alert]').val().split('|');
	var cloud_alert = $('[name=cloud_alert]').val();
	cloud_alert = cloud_alert.replace("*", cloud_host).split('|');
	$.post('/include/ajax/ajaxdata.php',
	{'UPnPstat':0},function(ret){
		if(ret.upnpstat > 0){
			$('[name=UPnP_Stat]').val(1);
			$('#UPnP_Btn').html(UPnP_Btn[1]);
			switch(ret.cloudstat){					
				case 'System Error':
					var key = 1;
					break;
				case 'DAUL Error':
					var key = 2;
					break;
				case 'UPnP Error':
					var key = 3;
					break;
				case 'Host Error':
					var key = 4;
					break;
				case 'HTTP Error':
					var key = 5;
					break;
				case 'WLIP Error':
					var key = 6;
					break;
				case 'CONNECTION':
					var key = 7;
					break;
				case 'OK':
					var key = 8;
					break;
				default:
					var key = 1;
					break;
			}
		}else{
			$('[name=UPnP_Stat]').val(0);
			$('#UPnP_Btn').html(UPnP_Btn[0]);
			var key = 0;
		}
		$('#UPnP_Stat').html(UPnP_Alert[ret.upnpstat]);
		$('#cloud_Stat').html(cloud_alert[key]);
		Timer = setTimeout('getUPnPstat()',3000);
	},'json');
}

function EditItem(obj){
	var value = $(obj).attr('mydata');
	var name = $(obj).attr('myname');
	var pare = $(obj).parent();
	$(obj).remove();
	pare.html("<input class='editinput' name='"+name+"' value='"+value+"'>").children('input').focus();
	pare.children("input").keyup(function(){
		inputformat(this);
	});
	pare.children("[name='"+name+"']").blur(function(){
		if($.trim($(this).val()) == value){
			pare.html(obj);
		}else{
			saveStat(this, 1);
			$.ajax({
				type	: 'POST',
				url		: '/include/ajax/ajaxdata.php',
				data	: {'cloudedit':true,'myname':name,'myvalue':$.trim($(this).val())},
				success	: function(rel){
					$(obj).attr("mydata", rel);
					if(rel == "") rel = "------";
					obj.innerHTML = rel;					
					//修改状态显示主机名
					if(name == "hostname") $("[name=cloud_host]").val(rel);
					pare.html(obj);
				},
				error	: function(xhr,text){
					alert(text);
				}
			});
		}
	});
}

//function EditField(obj){
//	if($(obj).children("input").length < 1){
//		var FieldValue = $(obj).attr('mydata');
//		var input = "<input type=\"text\" value=\""+FieldValue+"\" class=\"otherinput\" />";
//		$(obj).unbind('click').html(input);
//		$(obj).children("input").blur(function(){
//			SaveEdit(this);
//		}).focus();
//	}
//}
//
//function SaveEdit(obj){
//	var current = $(obj).val();
//	var olv = $(obj).parent().attr('mydata');
//	if(current != olv){
//		$.post('/include/ajax/ajaxdata.php?key='+Math.random(),{'RemotePwd':current},function(ret){
//			$(obj).parent().attr('mydata', current).click(function(){
//				EditField(this);
//			});
//			if(current == "" || current == null){
//				$(obj).parent().html("------");
//			}else{
//				$(obj).parent().html(current);
//			}
//		});
//	}else{
//		$(obj).parent().click(function(){
//			EditField(this);
//		});
//		if(current == "" || current == null){
//			$(obj).parent().html("------");
//		}else{
//			$(obj).parent().html(current);
//		}		
//	}
//}

function SetDhcp(obj){
	var data = new Array();
	var start_dhcp = $('input[name=start_dhcp]').attr('checked');
	var ip_addr = $('input[name=ip_addr]');
	var netmask = $('input[name=netmask]');
	var gateway_addr = $('input[name=gateway_addr]');
	var dns_addr = $('input[name=dns_addr]');
	var gettime = $('input[name=gettime]');	
	var ip = mask = gate = dns = "";
	var Erro = false;
	if(start_dhcp){
		data.push('start_dhcp=1');
		var config = $('[name=config_dhcp]').val().split('|');
		ip_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				if(i == ip_addr.length-1){
			    	ip += $(this).val();
				}else if(i == 3){
					ip += $(this).val()+'-';
				}else{					
					ip += $(this).val()+'.';
				}
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		netmask.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				(i< netmask.length-1) ? mask += $(this).val()+'.' : mask += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		gateway_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
			(i< gateway_addr.length-1) ? gate += $(this).val()+'.' : gate += $(this).val();
			}else{
				gate = "0.0.0.0"; return false;
			}
		});
		dns_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
			(i< dns_addr.length-1) ? dns += $(this).val()+'.' : dns += $(this).val();
			}else{
				dns = "0.0.0.0"; return false;
			}
		});
		var time = gettime.eq(0).val()*86400 + gettime.eq(1).val()*3600
		data.push("ip="+ip); data.push('mask='+mask); data.push('gate='+gate);
		data.push('dns='+dns); data.push('time='+time);
	}else{
		data.push('start_dhcp=0');
		var config = $('[name=stop_dhcp]').val().split('|');
	}
	saveStat(obj);
	$.ajax({
		type:'POST',
		url:'/include/ajax/ajaxdata.php',
		dataType:'html',
		data:data.join('&'),
		success:function(rel){
			if(rel.replace(/\s/g,"").length > 1){ //判断是否有其它错误信息
				alert(rel);
			}else{
				alert(config[parseInt(rel)]);
			}
			removeStat(obj);
			PageLoadAjax("nettable");//预加载模块
		} 
	});
}

function SetNet(obj){
	var data = new Array();
	var default_getway = $('[name=default_getway]').val();
	data.push('default_getway='+default_getway);
//	var start_trunking = $('input[name=start_trunking]').attr('checked');
//	var trunking_mode = $('select[name=trunking_mode]').val();
//	var trunking_eth = $('input[name=trunking_eth]:checked');
//	if(start_trunking){
//		data.push('start_trunking=YES');
//		if(trunking_eth.length < 2){
//			alert($('#trunking_lang').html());
//			return false;
//		}else{
//			$('input[name=trunking_eth]').each(function(){
//				if($(this).attr('checked')){
//					data.push('trunking_'+$(this).attr('value')+'=YES');
//				}else{
//					data.push('trunking_'+$(this).attr('value')+'=NO');
//				}
//			});
//		}
//	}else{
//		data.push('start_trunking=NO');
//	}
//	data.push('trunking_mode='+trunking_mode);
	var MTUS = $('select[name$=_mtu]');
	MTUS.each(function(){
		data.push($(this).attr('name')+'='+$(this).val());
	});
	saveStat(obj);
	$.ajax({
		type:'POST',
		url:'/include/ajax/ajaxdata.php',
		dataType:'html',
		data:data.join('&'),
		success:function(rel){
			alert(rel);
			PageLoadAjax("nettable");//预加载模块
		}
	});
}
function checkddns(){
	var start_ddns = $('input[name=start_ddns]').attr('checked');
	if(start_ddns){
		$('#ddns_slave').find('input,select').removeAttr('disabled');	
	}else{
		$('#ddns_slave').find('input,select').attr('disabled','disabled');
	}
}
function saveddns(obj){
	var data = new Array();
	var start_ddns = $('input[name=start_ddns]').attr('checked');
	if(start_ddns){
		data.push('start_ddns=1');
		var ddns_server = $('select[name=ddns_server]:not(:disabled)').val();
		var ddns_name = $('input[name=ddns_name]:not(:disabled)').val();
		var ddns_password = $('input[name=ddns_password]:not(:disabled)').val();
		var ddns_hostname = $('input[name=ddns_hostname]:not(:disabled)').val();
		var ddns_time = $('select[name=ddns_time]').val();
		data.push('ddns_server='+ddns_server);
		data.push('ddns_name='+ddns_name);
		data.push('ddns_password='+ddns_password);
		data.push('ddns_hostname='+ddns_hostname);
		data.push('ddns_time='+ddns_time*60);
	}else{
		data.push('start_ddns=0');
	}
	saveStat(obj);
	$.ajax({
		type:'POST',
		url:'/include/ajax/ajaxdata.php',
		dataType:'html',
		data:data.join('&'),
		success:function(rel){
			alert(rel);
			PageLoadAjax("nettable");//预加载模块
		}
	});
}

function getextip(){
	$.post('/include/ajax/ajaxdata.php',
	{'getExtipaddress':1},function(rel){
		if(rel.swit == 1){
			$('#ddns_status').html('connected!');
		}else{
			$('#ddns_status').html('no connected!');
		}
		if(rel.extip == 0){
			$('#ddns_ext_ip').html('Cannot get the external IP');
		}else{
			$('#ddns_ext_ip').html(rel.extip);
		}
		$('#lastTime').html(rel.lastTime);
		$('#nextTime').html(rel.nextTime);
		Timer = setTimeout('getextip()',30000);
	},'json');
}

function checktcpip(){
	var ipadress = $('input[name=ipadress]:checked').val();
	if(ipadress == 1){
		$('input[name=ip_addr],input[name=mask_addr],input[name=getway_addr]').removeAttr('disabled');
		$('input[name=main_dns],input[name=minor_dns]').removeAttr('disabled');
	}else{
		$('input[name=ip_addr],input[name=mask_addr],input[name=getway_addr]').attr('disabled','disabled');
		$('input[name=main_dns],input[name=minor_dns]').attr('disabled','disabled');
	}
}
function settingip(obj){
	var data = new Array();
	var set_dev = $('input[name=set_dev]').val();
	var tran_speed = $('select[name=tran_speed]').val();
	var ipadress = $('input[name=ipadress]:checked').val();
	var ip_addr = $('input[name=ip_addr]');
	var mask_addr = $('input[name=mask_addr]');
	var getway_addr = $('input[name=getway_addr]');
	var main_dns = $('input[name=main_dns]');
	var minor_dns = $('input[name=minor_dns]');
	var ip = mask = getway = maindns = minordns = " ";
	var Erro = false;
	data.push('dev='+set_dev);
	data.push('tran_speed='+tran_speed);
	data.push('ipadress='+ipadress);
	if(ipadress == 1){
		ip_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				(i< ip_addr.length-1) ? ip += $(this).val()+'.' : ip += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		mask_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				(i< mask_addr.length-1) ? mask += $(this).val()+'.' : mask += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		getway_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
			(i< getway_addr.length-1) ? getway += $(this).val()+'.' : getway += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		//存储数据...
		data.push('ip='+ip); data.push('mask='+mask); data.push('getway='+getway);
		
		main_dns.each(function(i){
			if($(this).val() != ''){
				(i< main_dns.length-1) ? maindns += $(this).val()+'.' : maindns += $(this).val();
			}else{
				maindns = "";
				return false;
			}
		});
		minor_dns.each(function(i){
			if($(this).val() != ''){
				(i< minor_dns.length-1) ? minordns += $(this).val()+'.' : minordns += $(this).val();
			}else{
				minordns = "";
				return false;
			}
		});
		data.push('maindns='+maindns); data.push('minordns='+minordns);
	}
	saveStat(obj);
	$.ajax({
		type:'POST',
		url:'/include/ajax/ajaxdata.php',
		dataType:'html',
		data:data.join('&'),
		success:function(rel){		
			$.post('/include/ajax/nettable.php',
			{'tab':"setipstat",'netobj':set_dev},function(data){
				$(".wBox_close").trigger('click');
				$("#nettable").html(data);
			});
		}
	});
}

function configwlan(){
	var wlan = new Array();
	var nowlan = $('[name=nowlan]').val();
	var wpaAlert = $('[name=wpaAlert]').val();
	var wepAlert = $('[name=wepAlert]').val();
	var reAlert = $('[name=reAlert]').val();
	
	var wlanName = $('[name=wlanName]').val();
	var wlanType = $('[name=wlanType]:checked').val();
	var ssid = $('[name=ssid]').val();
	var linkstat = $('[name=constatus]').val();
	var old = $('[name=old]').val();
	var encrypt = $('[name=encrypt]').val();
	wlan.push('scanwlan=1');
	if(ssid != '' && linkstat != '' && encrypt != ''){
		wlan.push('wlanName='+wlanName);
		wlan.push('wlanType='+wlanType);
		wlan.push('ssid='+ssid);
		wlan.push('linkstat='+linkstat);
		wlan.push('encrypt='+encrypt);
		if(!(encrypt == 'OPEN' || linkstat == 1)){
			var password = $('[name=password]');
			var repassword = $('[name=repassword]');
			var pwd = password.val();
			var repwd = repassword.val();
			if(old == 0){
				if(encrypt == 'WPA'){
					if(pwd.length < 8 || pwd.length > 64){
						inputError(password,1);alert(wpaAlert);
						return password.focus();
					}else{inputError(password,0);}
				}else if(encrypt == 'WEP'){
					if(pwd.length !=5 || pwd.length !=13){
						inputError(password,1);alert(wepAlert);
						return password.focus();
					}else{inputError(password,0);}
				}
			}else{
				if(encrypt == 'WPA'){					
					if((pwd.length < 8 || pwd.length > 64) && pwd != ''){
						inputError(password,1);alert(wpaAlert);
						return password.focus();
					}else{inputError(password,0);}
				}else if(encrypt == 'WEP'){
					if((pwd.length !=5 || pwd.length !=13) && pwd != ''){
						inputError(password,1);alert(wepAlert);
						return password.focus();
					}else{inputError(password,0);}
				}
			}
			if(password.val() != repassword.val()){
				inputError(repassword,1);alert(reAlert);return repassword.focus();
			}else{
				inputError(repassword,0); wlan.push('password='+password.val());
			}
		}
		$.ajax({
			type:'POST',
			url:'/include/ajax/ajaxdata.php',
			data:wlan.join('&'),
			success:function(rel){
				alert(rel);
				scanwlan();
			}
		});
	}else{
		alert(nowlan);
	}
}

//wlan setting
function scanwlan(){	
	$('#wlanbox').html("").css("background","url(/images/loading.gif) center center no-repeat");
	btnstatus();
	var tips = $('[name=tips]').val().split('|');
	var linked = $('[name=linked]').val().split('|');
	var noSign = $('[name=noSign]').val();
	var wlanName = $('[name=wlanName]').val();
	$.post('/include/ajax/ajaxdata.php',
	{'scanwlan':0,'wlanName':wlanName},function(data){
		//alert(data);
		var wlans = "";
		if(data.length > 0){
			for(i in data){
				wlans += '<a href="javascript:void(0)" ssid="'+data[i].ssid+'" status="'+data[i].status+'" old="'+data[i].old+'" encrypt="'+data[i].encrypt+'">\n';
				wlans += '<em></em>\n';
				wlans += '<p>'+data[i].ssid+'</p>\n';
				if(data[i].encrypt == 'OPEN'){
					wlans += '<p>'+tips[1]+'</p>\n';
				}else{
					wlans += '<p>'+tips[0]+' ('+data[i].encrypt+')</p>\n';
				}
				if(data[i].status == 1){
					wlans += '<p class="stat"><b>'+linked[1]+'</b></p>\n';
				}else{
					wlans += '<p class="stat">'+linked[0]+'</p>\n';
				}			
				wlans += '</a>\n';
			}
		}else{
			wlans += '<p class="sat">'+noSign+'</p>\n';
		}
		$('#wlanbox').css("background","none").html(wlans);
		$('#wlanbox a').click(function(){
			$(this).addClass('on').siblings('a').removeClass('on');
			btnstatus();
		});
	},'json');
}

function btnstatus(){
	var HasOn = $('#wlanbox a.on');
	var encry = $('#encry');
	var ActBtn = $('#ActBtn');
	if(HasOn.length > 0){
		$('[name=ssid]').val(HasOn.attr('ssid'));
		$('[name=constatus]').val(HasOn.attr('status'));
		$('[name=encrypt]').val(HasOn.attr('encrypt'));
		$('[name=old]').val(HasOn.attr('old'));
		var wlanName = $('[name=wlanName]').val();
		var encrypt = $('[name=encrypt]').val();
		var langbtn = $('[name=langbtn]').val().split('|');
		var constatus = $('[name=constatus]').val();
		(encrypt == 'OPEN' || encrypt == '' || constatus == 1) ? encry.hide() : encry.show();		
		if(constatus == ''){
			ActBtn.hide();
		}else if(constatus == 0){
			ActBtn.show();
			ActBtn.children('em').html(langbtn[1]);
		}else if(constatus == 1){
			ActBtn.show();
			ActBtn.children('em').html(langbtn[0]);
		}
	}else{
		ActBtn.hide(); encry.hide().find('input').val('');
		$('[name=ssid],[name=constatus],[name=encrypt]').val('');
	}
}

$(function(){
	PageLoadAjax('nettable');
});