// JavaScript Document
function checkboot(){
	var sch_boot = $('input[name=sch_boot]').attr("checked");
	if(sch_boot){
		$('#schedule_list').find("select,input").removeAttr("disabled");
		$('#schebox').find('p').each(function(){
			var _self = this;
			$(this).children('.poweraddbtn').unbind('click').click(function(){
				addItem(1);
			});
			$(this).children('.powerdelbtn').unbind('click').click(function(){
				removeItem(_self);
			});
			$(this).children('.powerclosebtn').show().click(function(){
				$(this).siblings('[name^=o]').each(function(){
					$(this).val("00");
				});
			});
		});
	}else{
		$('#schedule_list').find("select,input").attr("disabled","disabled");
		$('#schebox > p').find('em').unbind('click');
		$(this).children('.powerclosebtn').unbind('click').hide();
	}
}

function reboot(obj){
	var retips = $('[name=retips]').val();
	if(confirm(retips)){
		loadpage_notab('powerbox','systable','restart');
	}
}
function shutdown(obj){
	var shtips = $('[name=shtips]').val();
	if(confirm(shtips)){
		loadpage_notab('powerbox','systable','shutdown');
	}
}

function fantype(){
	var Fan_type = $('[name=Fan_type]').val();
	if(Fan_type == 1){
		$('#AutoFan').show(); $('#CustomFan').hide();
	}else{
		$('#AutoFan').hide(); $('#CustomFan').show();
	}
}

function addItem(){
	var arg = arguments[0] ? arguments[0] : 1 ;
	var delbtn = arguments[1] ? arguments[1] : false ;
	var yuanshi = $('#yuanbox');
	var line ='';
	for(i=0;i<arg;i++){ line += yuanshi.html();}
	$('#schebox').append(line);
	$('#schebox').find('p:not([rel])').each(function(){
		var _self = this;
		$(this).children('.poweraddbtn').unbind('click').click(function(){
			addItem(1);
		});
		if(!delbtn){
			$(this).children('.powerclosebtn').hide();
			$(this).children('.powerdelbtn').unbind('click').click(function(){
				removeItem(_self);
			});
		}else{
			$(this).children('.powerdelbtn').hide();
			$(this).children('.powerclosebtn').show().click(function(){
				$(this).siblings('[name^=o]').each(function(){
					$(this).val("00");
				});
			});
		}
	});
	$('p:not([rel])').children('[name=sort_date]').change(function(){
		changedata(this);
	});
	changedata();
}
function removeItem(obj){
	if($(obj).siblings('p').length > 0){
		$(obj).remove();
	}
}
function changedata(){
	var week = $('#schebox > p:last').children('[name=sort_date]');
	var obj = arguments[0] ? $(arguments[0]) : week ;
	var tps = $('p[rel="'+obj.val()+'"]');
	if(tps.length >= 0 && tps.length < 8){
		var normal = [];
		var posArr = [0,1,2,3,4,5,6,7];//常用的内存位置...
		for(i=0;i<tps.length;i++){
			var pos = tps.eq(i).children('[name=position]').val();
			normal.push(pos);//把所有当天的位置储存起来...
		}
		var newArr = minus(posArr,normal);//求两个数组的差集...
		if(newArr.length > 0){
			obj.siblings('[name=position]').val(newArr[0]);
		}else{
			obj.parent('p').remove();
		}
	}
	obj.parent('p').attr('rel',obj.val());
}

function savePower(obj){
	var PowerMethod = $('[name=PowerMethod]:checked').val();
	var sch_boot = $('[name=sch_boot]').attr('checked');
	var enBeep = $('[name=enBeep]').attr('checked');
	var ps = $('#schebox p');
	var data = new Array(), sch = 0, beep = 0;
	if(enBeep) beep = 1;
	if(sch_boot){
		sch = 1;	
		ps.each(function(){
			var position = $(this).children('[name=position]').val();	
			var sortdate = $(this).children('[name=sort_date]').val();
			var onhour = $(this).children('[name=on_hour]').val();
			var onminute = $(this).children('[name=on_minute]').val();
			var offhour = $(this).children('[name=off_hour]').val();
			var offminute = $(this).children('[name=off_minute]').val();
			if(position != ''){
				data.push(sortdate+'|'+position+'|'+onhour+'|'+onminute+'|'+offhour+'|'+offminute);
			}
		});
	}
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php',
	{'mailfunction':2,'power':PowerMethod,'sch_swit':sch,'beep':beep,'Scheme':data.join(',')},
	function(rel){
		removeStat(obj);
		window.location.reload();
	});	
}

function saveHard(obj){
	var data = new Array();
	var EnIdle = $('[name=EnIdle]').attr('checked');
	data.push('Hardset=1');
	if(EnIdle){
		var Idle = $('[name=Idle]').val(), Idle = Idle * 60;
		data.push('EnIdle=1&Idle='+Idle);
	}else{
		data.push('EnIdle=0');
	}	
	
	var Fantype = $('[name=Fan_type]').val(); data.push('Fantype='+Fantype);
	if(Fantype == 0){
		var Fanspeed = $('[name=Fanspeed]:checked').val();
		data.push('Fanspeed='+Fanspeed);
	}
	saveStat(obj);
	$.ajax({
		type:"POST",
		url:"/include/ajax/ajaxdata.php",
		data:data.join('&'),
		success:function(data){			
			removeStat(obj);
			alert(data); window.location.reload();
		}
	});
	
}