// JavaScript Document

function changeshow(value){
	if(value==1){
		$('#snmpv1').show();
		$('#snmpv3').hide();
	}else{
		$('#snmpv3').show();
		$('#snmpv1').hide();
	}
}
function checkSNMP(){
	var Enabled_snmp = $('input[name=Enabled_snmp]').attr('checked');
	if(Enabled_snmp){		
		var is_auth = $('input[name=is_auth]').attr('checked');
		var is_encrypt = $('input[name=is_encrypt]').attr('checked');
		if(is_auth){			
			if(is_encrypt){
				$('#snmp :input,#snmpv3 :input').removeAttr('disabled');
			}else{
				$('#snmp :input,#snmpv3 :input[name!=encrypt_passwd]').removeAttr('disabled');
				$('input[name=encrypt_passwd]').attr('disabled','disabled');
			}
		}else{
			$('#snmpv3 :input').attr('disabled','disabled');
			$('#snmp :input,input[name=user_name]').removeAttr('disabled');			
			$('input[name=is_auth]').removeAttr('disabled');
			$('input[name=is_encrypt]').removeAttr('checked');			
		}
	}else{
		$(':input[name!=Enabled_snmp]').attr('disabled','disabled');
	}
}

function DownMIB(){
	var downAlert = $('[name=downAlert]').val();
	$.post('/include/ajax/ajaxdata.php',
	{'SNMP':2},function(rel){
		if(rel != 0){
			window.open(rel,"hideframe");
		}else{
			alert(downAlert);
		}
	});
	return false;
}

function savaSNMP(obj){
	var data = new Array();
	var send = new Array();
	var Enabled_snmp = $('input[name=Enabled_snmp]').attr('checked');
	if(Enabled_snmp){
		var port = $('input[name=port]:not(:disabled)').val();
		var Event = $('input[name=Event]:checked');
		var addr = $('input[name=addr]:not(:disabled)');	
		var community = $('input[name=community]:not(:disabled)').val();
		var version = $('select[name=version]:not(:disabled)').val();
		var sEvent = saddr = "";
		Event.each(function(i){
			  if(i < Event.size()-1){
				  sEvent += $(this).val()+',';
			  }else{
				  sEvent += $(this).val();
			  }
		});
		addr.each(function(e){			
			if($(this).val() != ''){
				saddr += $(this).val()+',';
			}
		});
		if(sEvent){ send.push('Event='+sEvent); }
		if(saddr){ send.push('addr='+saddr.slice(0,-1)); }
		if(version){ data.push('version='+version); }
		if(version==3){
			var user_name = $('input[name=user_name]:not(:disabled)').val();
			var is_auth = $('input[name=is_auth]').attr('checked');
			var auth_method = $('select[name=auth_method]:not(:disabled)').val();
			var auth_passwd = $('input[name=auth_passwd]:not(:disabled)').val();
			var is_encrypt = $('input[name=is_encrypt]').attr('checked');
			var encrypt_method = $('input[name=encrypt_method]').val();
			var encrypt_passwd = $('input[name=encrypt_passwd]').val();
			if(user_name){data.push('user_name='+user_name);}
			if(is_auth){
				data.push('is_auth=1');
				if(auth_method){data.push('auth_method='+auth_method);}
				if(auth_passwd && auth_passwd.length >= 8){
					data.push('auth_passwd='+auth_passwd);
				}else{
					alert($('input[name=auth_passwd]').attr('sid'));
					$('input[name=auth_passwd]').focus();
					return false;
				}
				if(is_encrypt){
					data.push('is_encrypt=1');
					data.push('encrypt_method='+encrypt_method);
					if(encrypt_passwd && encrypt_passwd.length >= 8){
						data.push('encrypt_passwd='+encrypt_passwd);
					}else{
						alert($('input[name=encrypt_passwd]').attr('sid'));
						$('input[name=encrypt_passwd]').focus();
						return false;
					}
				}
			}
		}else{
			if(community){
				data.push('community='+community);
			}else{
				data.push('community=public');
			}
		}
		saveStat(obj);
		$.post('/include/ajax/ajaxdata.php',
		{'SNMP':1,'port':port,'SNMPdata':data.join('&'),'Sendstr':send.join('&')},
		function(rel){
			alert(rel); removeStat(obj);
			window.location.reload();
		});		
	}else{
		saveStat(obj);
		$.post('/include/ajax/ajaxdata.php',
		{'SNMP':0},
		function(rel){
			alert(rel); removeStat(obj);
			window.location.reload();
		});
	}
}
$(function(){
	if(Enabled_snmp) $('input[name=Enabled_snmp]').attr('checked','checked');	
	if(port){ $('input[name=port]').val(port); }
	if(Event){
		var tEvent = Event.split(',');
		for(j=0;j<tEvent.length;j++){
			$('input[name=Event][value="'+tEvent[j]+'"]').attr('checked','checked');
		}
	}
	if(getaddr){
		var Gaddr = getaddr.split(',');
		for(j=0;j<Gaddr.length;j++){
			$('input[name=addr]').eq(j).val(Gaddr[j]);
		}
	}		
	if(port){ $('input[name=port]').val(port); }
	if(version != ''){ $('[name=version]').attr('value',version); }
	if(community){ $('input[name=community]').val(community); }
	if(user_name){ $('input[name=user_name]').val(user_name); }
	if(is_auth){ $('input[name=is_auth]').attr('checked','checked'); }
	if(auth_method){ $('select[name=auth_method]').val(auth_method); }
	if(auth_passwd){ $('input[name=auth_passwd]').val(auth_passwd); }
	if(is_encrypt){ $('input[name=is_encrypt]').attr('checked','checked'); }
	if(encrypt_passwd){ $('input[name=encrypt_passwd]').val(encrypt_passwd); }
	changeshow(version);
	checkSNMP();
	
});